<?php
   include('session.php');
   include('header1.php');
   include('ietpartial.php');

// start role specific 
$user_role = $_SESSION['role'];

if ($_SERVER["REQUEST_METHOD"] == "GET") {

  $employeeid = $_GET['employeeID'];

  if(isset($_GET['updated'])) {

    $updated = $_GET['updated'];

  }

  $sqlGetEmployee = "SELECT * FROM employees WHERE employeeid = $employeeid";

  $resultEmployee = mysqli_query($db,$sqlGetEmployee);

  $countEmployee = mysqli_num_rows($resultEmployee);

  echo "<main role=\"main\" class=\"col-md-9 ml-sm-auto col-lg-10 px-4\">";

  echo "<div class=\"d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom\">";

  if ($countEmployee !== 0) { 

  	while ($rowemployee = mysqli_fetch_array($resultEmployee)) {

    	echo "<h1 class=\"h2\">" . $rowemployee['employeesurname'] . ", " . $rowemployee['employeename'] . "</h1>";
      echo "<a href=\"viewEmployee.php?employeeID=" . $rowemployee['employeeid'] . "\" class=\"btn btn-sm btn-outline-secondary\" role=\"button\">Back to Employee File</a>";
    
    	echo "</div>";

      echo "<table>";

    	echo "<form method = \"POST\" action=\"addBenefitDetail1.php\">";

    	echo "<input type = \"hidden\" value = \"" . $rowemployee['employeeid'] . "\" name = \"employee_id\">";

      $allowances = array();

      $sqlAllowances = "SELECT *
      FROM benefits
      ORDER BY benefitname ASC;";

      $resultAllowances = mysqli_query($db,$sqlAllowances);

      $countAllowances = mysqli_num_rows($resultAllowances);

        if ($countAllowances !== 0) { 
          
          while ($rowAllowances = mysqli_fetch_array($resultAllowances)) {
            $allowances[$rowAllowances['benefitid']] = $rowAllowances['benefitname'];
          }

          foreach (array_filter($allowances) as $benefitid => $benefitname) {
          echo "<tr><td>" . $benefitname . "</td><td><input type=\"numeric\" value = '0' name=\"" . $benefitid . "\" class=\"form-control\"> </td></tr>";
        }

      }


    }

    echo "<tr><td><input type=\"submit\"></td></tr> </form> </table>";

   }

 }


include('footer1.php');
?>